## entangle-media-statusbar

entangle-media-statusbar

## Functions

EntangleMediaStatusbar * | entangle_media_statusbar_new ()
void | entangle_media_statusbar_set_media ()
EntangleMedia * | entangle_media_statusbar_get_media ()

## Properties

EntangleMedia * | media | Read / Write

## Types and Values

#define | ENTANGLE_TYPE_MEDIA_STATUSBAR
| EntangleMediaStatusbar

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── EntangleMediaStatusbar

## Implemented Interfaces

EntangleMediaStatusbar implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### entangle_media_statusbar_new ()

    EntangleMediaStatusbar *
    entangle_media_statusbar_new (void);

### entangle_media_statusbar_set_media ()

    void
    entangle_media_statusbar_set_media (EntangleMediaStatusbar *statusbar,
                                        EntangleMedia *media);

Set the media to display status information for

#### Parameters

statusbar | the status bar widget. | [transfer none]
media | the media to display status for, or NULL. | [transfer none][allow-none]

### entangle_media_statusbar_get_media ()

    EntangleMedia *
    entangle_media_statusbar_get_media (EntangleMediaStatusbar *statusbar);

Retrieve the media that status is currently displayed for

#### Parameters

statusbar | the status bar widget. | [transfer none]

#### Returns

the media displayed.

[transfer none]

## Types and Values

### ENTANGLE_TYPE_MEDIA_STATUSBAR

    #define ENTANGLE_TYPE_MEDIA_STATUSBAR (entangle_media_statusbar_get_type())

### EntangleMediaStatusbar

    typedef struct _EntangleMediaStatusbar EntangleMediaStatusbar;

## Property Details

### The `“media”` property

      “media”                    EntangleMedia *

Media.

Owner: EntangleMediaStatusbar

Flags: Read / Write